org.scalatest.matchers.ShouldMatchers

# MapShouldWrapper

#### class MapShouldWrapper [K, V] extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

This class is used in conjunction with an implicit conversion to enable `should` methods to be invoked on objects of type `scala.collection.Map[K, V]`.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. MapShouldWrapper
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MapShouldWrapper (left: Map[K, V])

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def should (notWord: NotWord): ResultOfNotWordForMap[K, V]

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        map should not have size (3)
            ^

18. #### def should (containWord: ContainWord): ResultOfContainWordForMap[K, V]

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        map should contain key (10)
            ^

19. #### def should (haveWord: HaveWord): ResultOfHaveWordForTraversable[(K, V)]

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        map should have size (3)
            ^

20. #### def should (beWord: BeWord): ResultOfBeWordForAnyRef[Map[K, V]]

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        map should be theSameInstanceAs (anotherMap)
            ^

21. #### def should (rightMatcher: Matcher[Map[K, V]]): Unit

    This method enables syntax such as the following:

    This method enables syntax such as the following:

        map should equal (Map(1 -> "one", 2 -> "two"))
            ^

22. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

23. #### def toString (): String

    Definition Classes
      AnyRef → Any

24. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

25. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

26. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any